#!/usr/bin/env bash
#set -x
set -o posix
#set -u
#set -e
#+
#
# ============
# Fcopy_dir.sh
# ============
#
# --------------------------
# Copy a reference directory
# --------------------------
#
# SYNOPSIS
# ========
#
# ::
#
#  $ Fcopy_dir.sh
#
#
# DESCRIPTION
# ===========
#
#
# When a refenrence configuration is set, 
# Copy NEMO sub-directories needed (OPA_SRC, TOP_SRC ...)
#
# EXAMPLES
# ========
#
# ::
#
#  $ ./Fcopy_dir.sh ORCA2_LIM
#
#
# TODO
# ====
#
# option debug
#
#
# EVOLUTIONS
# ==========
#
# $Id: Fcopy_dir.sh 2520 2010-12-27 14:43:36Z rblod $
#
#
#
#   * creation
#
#-

declare -a ZTAB
grep "$1 " ${COMPIL_DIR}/cfg.txt > ${COMPIL_DIR}/cfg.tmp
read -a ZTAB < ${COMPIL_DIR}/cfg.tmp
TAB=( ${ZTAB[@]:1} )
\rm ${COMPIL_DIR}/cfg.tmp

unset -v ZTAB
